package com.ffii.fpsms.m18.model

// Purchase Quotation
data class M18PurchaseQuotationResponse(
    val data: M18PurchaseQuotationData?,
    val messages: List<M18ErrorMessages>?
)

data class M18PurchaseQuotationData(
    val mainvqu: List<M18PurchaseQuotationMainvqu>,
    val remvqu: List<M18PurchaseQuotationRemvqu>,
    val vqut: List<M18PurchaseQuotationVqut>,
)

data class M18PurchaseQuotationMainvqu(
    val id: Long,
    val expDate: Long,
    val lastModifyDate: Long,
    val tDate: Long,
    val venId: Long,
    val manId: Long,
    val curId: Long,
    val code: String,
)

data class M18PurchaseQuotationRemvqu(
    val id: Long,
    val remarks: String,
    val tradeTerm: String,
)

data class M18PurchaseQuotationVqut(
    val bDesc: String,
    val id: Long,
    val refCode: String,
    val unitId: Long,
    val proId: Long,
)

// Purchase Quotation List
data class M18PurchaseQuotationListResponse(
    val values: List<M18PurchaseQuotationValues>?,
    val messages: List<M18ErrorMessages>?
)

data class M18PurchaseQuotationValues(
    val id: Long,
    val code: String,
    val tDate: String, // Effective date
    val expDate: String,
    val status: String,
    val lastModifyDate: String,
)